%define build_plf 0
%{?_with_plf: %{expand: %%define build_plf 1}}
%{?_without_plf: %{expand: %%define build_plf 0}}

%define rel	1
%if !%build_plf
%define release %mkrel %{rel}
%else
%define release %{rel}plf
%endif

Summary:	A Mail Virus Scanner
Name:		amavisd-new
Version:	2.5.2
Release:	%{release}
License:	GPL
Group:		Networking/Mail
URL:		http://www.ijs.si/software/amavisd/
Source0:	http://www.ijs.si/software/amavisd/%{name}-%{version}.tar.gz
Patch0:		amavisd-new-2.4.5-init.patch
Patch1:		amavisd-new-mdv_conf.diff
Patch2:		amavisd-new-2008_specs.diff
Requires:	file >= 4.21
# http://archives.mandrakelinux.com/cooker/2005-06/msg01987.php
Requires:	mail-server
Requires:	perl-Archive-Tar
Requires:	perl-Archive-Zip
Requires:	perl-BerkeleyDB
Requires:	perl-Compress-Zlib
Requires:	perl-Convert-UUlib >= 1.08
Requires:	perl-Convert-TNEF
Requires:	perl-DBI
Requires:	perl-Digest-MD5
Requires:	perl-IO-stringy
Requires:	perl-ldap
Requires:	perl-libnet
Requires:	perl-Mail-SpamAssassin
Requires:	perl-MailTools
Requires:	perl-MIME-Base64
Requires:	perl-MIME-tools >= 5.411
Requires:	perl-Net-Server >= 0.84
Requires:	perl-Razor-Agent
Requires:	perl-Time-HiRes
Requires:	perl-Unix-Syslog
Requires:	spamassassin >= 2.60
Requires:	spamassassin-spamd >= 2.60
Requires:	spamassassin-spamc >= 2.60
Requires:	binutils
Requires:	bzip2
Requires:	cabextract
Requires:	tnef
Requires:	lha
Requires:	lzop
Requires:	ncompress
Requires:	nomarch
Requires:	pax
Requires:	ripole
%if %build_plf
#Requires:	arc
Requires:	unace
Requires:	unarj
Requires:	unrar
Requires:	zoo
Requires:	freeze
%endif
Provides:	amavisd
BuildArch:	noarch
# this is for serviceadd, etc.
Requires(post): rpm-helper
Requires(preun): rpm-helper
# this is for useradd, groupadd, etc.
Requires(pre): rpm-helper
Requires(postun): rpm-helper
#PreReq:	clamav
Obsoletes:	amavis-postfix
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
AMaViS is a perl script that interfaces a Mail Transport Agent (MTA)
with one or more virus scanners (not provided).

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1 -b .init
%patch1 -p1 -b .confpch
%patch2 -p0 -b .2008_specs

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/amavisd
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_localstatedir}/amavis/.spamassassin
install -d %{buildroot}/var/spool/amavis/virusmails
install -d %{buildroot}%{_localstatedir}/amavis/{tmp,db}

install -m0755 amavisd_init.sh %{buildroot}%{_initrddir}/amavisd
install -m0640 amavisd.conf %{buildroot}%{_sysconfdir}/amavisd/amavisd.conf
install -m0640 amavisd.conf-default %{buildroot}%{_sysconfdir}/amavisd/amavisd.conf-default
install -m0640 amavisd.conf-sample %{buildroot}%{_sysconfdir}/amavisd/amavisd.conf-sample
install -m0755 amavisd %{buildroot}%{_sbindir}/amavisd
install -m0755 p0f-analyzer.pl %{buildroot}%{_sbindir}/
install -m0755 amavisd-agent %{buildroot}%{_sbindir}/
install -m0755 amavisd-nanny %{buildroot}%{_sbindir}/
install -m0755 amavisd-release %{buildroot}%{_sbindir}/

cat > %{buildroot}%{_localstatedir}/amavis/.spamassassin/user_prefs <<EOF
# SpamAssassin User Preferences file
# (see perldoc Mail::SpamAssassin::Conf for details of what can be tweaked).
# Note that the entries for headers won't have effect, since those are
# directly handled/overridden by amavisd and amavisd.conf.

dns_available yes

# Bayes filters requires at least 200 entries of spam and 200 of ham 
# for start working
bayes_file_mode 0640
use_bayes 1
#bayes_auto_learn 0

skip_rbl_checks 1
use_razor2 0
use_pyzor 0
#dcc_add_header 1

# Custom scores (local|net|bayes|bayes+net)
#score   BAYES_99        4.300 4.300 5.400 5.400
#score   BAYES_90        3.500 3.500 3.500 3.500
#score   BAYES_80        3.000 3.000 3.000 3.000
#score   DCC_CHECK       4.000 4.000 4.000 4.000
#score   RAZOR2_CHECK    2.500 2.500 2.500 2.500
#score   HABEAS_SWE      -0.01
EOF

cat > %{buildroot}%{_bindir}/amavisd-checkbayesdb <<EOF
#!/bin/sh
su amavis -c "%{_bindir}/sa-learn --dump" -s /bin/sh
EOF

cat > %{buildroot}%{_bindir}/amavisd-checkcfg <<EOF
#!/bin/sh
su amavis -c "%{_bindir}/spamassassin --lint -D" -s /bin/sh
EOF

cat > %{buildroot}%{_bindir}/amavisd-mboxlearnham <<EOF
#!/bin/sh
su amavis -c "%{_bindir}/sa-learn --showdots --ham --mbox \$1" -s /bin/sh
EOF

cat > %{buildroot}%{_bindir}/amavisd-mboxlearnspam <<EOF
#!/bin/sh
su amavis -c "%{_bindir}/sa-learn --showdots --spam --mbox \$1" -s /bin/sh
EOF

%clean
rm -rf %{buildroot}

%pre
%_pre_useradd amavis %{_localstatedir}/amavis /bin/false
%_pre_groupadd amavis amavis,clamav

%post
%_post_service amavisd

# check mta
mta="`readlink /etc/alternatives/sendmail-command 2>/dev/null | cut -d . -f 2`"
if [ "$mta" = "postfix" ]; then
	aliases="%{_sysconfdir}/postfix/aliases"
else
	aliases="%{_sysconfdir}/aliases"
fi
if [ -e "$aliases" ]; then
	grep -q "virusalert" "$aliases" || \
		echo "virusalert: root" >> "$aliases"
	[ -x %{_bindir}/newaliases ] && %{_bindir}/newaliases > /dev/null 2>&1
fi

if [ -x /usr/sbin/postconf ] && [ -z `/usr/sbin/postconf -h content_filter` ]; then
	postconf -e content_filter=lmtp-filter:127.0.0.1:10025
	postconf -e receive_override_options=no_address_mappings
fi

%preun
%_preun_service amavisd

%files
%defattr(-,root,root)
%doc AAAREADME.first INSTALL LICENSE README_FILES RELEASE_NOTES test-messages
%doc LDAP.schema amavisd-new-courier.patch amavisd-new-qmqpqq.patch
%attr(0755,root,root) %{_initrddir}/amavisd
%attr(0640,root,amavis) %config(noreplace) %{_sysconfdir}/amavisd/amavisd.conf
%attr(0640,root,amavis) %{_sysconfdir}/amavisd/amavisd.conf-default
%attr(0640,root,amavis) %{_sysconfdir}/amavisd/amavisd.conf-sample
%attr(0755,root,root) %{_sbindir}/amavisd
%attr(0755,root,root) %{_sbindir}/p0f-analyzer.pl
%attr(0755,root,root) %{_sbindir}/amavisd-agent
%attr(0755,root,root) %{_sbindir}/amavisd-nanny
%attr(0755,root,root) %{_sbindir}/amavisd-release
%attr(0755,root,root) %{_bindir}/amavisd-*
%attr(0755,root,root) %dir /var/spool/amavis
%attr(0750,amavis,amavis) %dir /var/spool/amavis/virusmails
%attr(0750,amavis,amavis) %dir %{_localstatedir}/amavis
%attr(0750,amavis,amavis) %dir %{_localstatedir}/amavis/tmp
%attr(0750,amavis,amavis) %dir %{_localstatedir}/amavis/db
%attr(0750,amavis,amavis) %dir %{_localstatedir}/amavis/.spamassassin
%attr(0640,amavis,amavis) %config(noreplace) %{_localstatedir}/amavis/.spamassassin/user_prefs


%changelog
* Wed Aug 22 2007 Oden Eriksson <oeriksson@mandriva.com> 2.5.2-1mdv2008.0
+ Revision: 69140
- 2.5.2
- renumber patches
- rediffed the mdv_conf patch
- conform to the 2008 specs (don't start it per default)

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Release 2.5.2.
    - Rebuilt Patch11.

* Mon Jun 04 2007 Oden Eriksson <oeriksson@mandriva.com> 2.5.1-1mdv2008.0
+ Revision: 35020
- 2.5.1
- rediffed P11
- fixed deps

* Thu May 17 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.4.5-5mdv2008.0
+ Revision: 27592
- Redid init patch: add LSB support, don't be too verbose.

* Tue May 08 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.4.5-4mdv2008.0
+ Revision: 25349
- Fix path of clamd socket in default amavisd.conf file provided
  (mdv_conf patch). Reported by Colin Guthrie on ticket #30536.


* Tue Feb 27 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.4.5-3mdv2007.1
+ Revision: 126526
- Bump release to 3.
- Added perl-ldap to Requires.
- Specify release >= 1.08 for Requires: perl-Convert-UUlib.

* Tue Feb 27 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.4.5-2mdv2007.1
+ Revision: 126484
- Bumped release to 2.
- Removed Patch13 (no longer needed). Thanks to Pixel for
  having spotted this (fix bug #28725).

* Fri Feb 09 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.4.5-1mdv2007.1
+ Revision: 118648
- Import amavisd-new

* Fri Feb 09 2007 Giuseppe Ghib <ghibo@mandriva.com> 2.4.5-1mdv2007.1
- Release 2.4.5.
- Rediff Patch11.

* Tue Aug 29 2006 Giuseppe Ghib <ghibo@mandriva.com> 2.4.2-4mdv2007.0
- Fixed %%{rel} for plf.
- removed use_dcc into default user_prefs (no longer supported).
- commented auto_learn into default user_prefs (this option became bayes_auto_learn and 
  by default is already enabled).

* Thu Jul 27 2006 Giuseppe Ghib <ghibo@mandriva.coM> 2.4.2-3mdv2007.0
- Remerge Patch12 into Patch11.

* Thu Jul 27 2006 Giuseppe Ghib <ghibo@mandriva.com> 2.4.2-2mdv2007.0
- Fixed Patch11 for problem with clamav (socket was in the wrong dir)
  and merged with Patch12.
- Removed patch2.

* Thu Jun 29 2006 Oden Eriksson <oeriksson@mandriva.com> 2.4.2-1mdv2007.0
- 2.4.2
- rediffed patches; P11

* Thu Jun 01 2006 Oden Eriksson <oeriksson@mandriva.com> 2.4.1-1mdv2007.0
- 2.4.1
- rediffed patches; P11,P13
- added some tools to the package
- fix deps

* Tue Oct 11 2005 Giuseppe Ghib <ghibo@mandriva.com> 2.3.3-1mdk
- Release: 2.3.3.
- Rebuilt Patch12.

* Thu Aug 25 2005 Andreas Hasenack <andreas@mandriva.com> 2.3.2-5mdk
- fixed aliases handling in %%post to cope with postfix/others
  (mta test stolen from mailman, by Guillaume.Rousse@inria.fr)

* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 2.3.2-4mdk
- fix deps
- fix #17288

* Fri Aug 12 2005 Oden Eriksson <oeriksson@mandriva.com> 2.3.2-3mdk
- correct the rpm-helper deps

* Thu Aug 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.3.2-2mdk
- fix rpmlint errors (PreReq)

* Sat Aug 06 2005 Giuseppe Ghib <ghibo@mandriva.com> 2.3.2-1mdk
- Release: 2.3.2.
- Rebuilt Patch11, Patch12, Patch13.

* Tue Jul 19 2005 Andreas Hasenack <andreas@mandriva.com> 2.2.1-4mdk
- changed requires: s/smtpdaemon/mail-server/ (see
  http://archives.mandrakelinux.com/cooker/2005-06/msg01987.php and
  http://archives.mandrakelinux.com/cooker/2005-06/msg01987.php)

* Thu Jul 07 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.1-3mdk
- added rediffed P13 from the openpkg kolab2 packages

* Tue Mar 15 2005 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.2.1-2mdk
- fix deps
- rpmlint fixes

* Thu Dec 23 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.2.1-1mdk
- Release: 2.2.1.
- Rebuilt Patch11.
- Rebuilt Patch12.
- Added pax, ripmime, freeze to Requires.

* Fri Sep 24 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.1.2-1mdk
- Release: 2.1.2.
- Rebuilt Patch10.
- Rebuilt Patch11.
- Rebuilt Patch12.
- Added mthredir, sdboot.gen, funlove, yaha, zafi, gibe, lovgate, nyxem,
  mabutu, plexus to list of viruses that fake sender maps.

* Fri Jul 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.20040701-1mdk
- updated to 20040701 by Andre Nathan <andre@digirati.com.br>

* Mon Mar 22 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.20030616-18mdk
- Updated to release 20030616p8.
- Added bagle to fakesender virus list.
- Rebuilt Patch11, Patch13.

